<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionSlaughterMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionSlaughter">
        <id column="id" property="id" />
        <result column="slaughter_agency_date" property="slaughterAgencyDate" />
        <result column="supplier_number" property="supplierNumber" />
        <result column="slaughter_agency_number" property="slaughterAgencyNumber" />
        <result column="document_number" property="documentNumber" />
        <result column="slaughter_date" property="slaughterDate" />
        <result column="supplier_name" property="supplierName" />
        <result column="customer_name" property="customerName" />
        <result column="planned_slaughter_quantity" property="plannedSlaughterQuantity" />
        <result column="actual_slaughter_quantity" property="actualSlaughterQuantity" />
        <result column="unit_price" property="unitPrice" />
        <result column="planned_slaughter_amount" property="plannedSlaughterAmount" />
        <result column="actual_slaughter_amount" property="actualSlaughterAmount" />
        <result column="addition_time" property="additionTime" />
        <result column="modification_time" property="modificationTime" />
        <result column="slaughter_agency_name" property="slaughterAgencyName" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
